
local Grid = require("bag.Grid")
local Util = require("common.Util")

--  填充活动任务数据
function makeMonthTaskData(net, cf, id)
    net.id = id
    net.desc = Util.format(cf.desc, cf.special or cf.taskCnt)  
    net.cur  = 0
    net.max = cf.taskCnt
    local rewardLen = cf.reward and #cf.reward or 0
    net.reward[0] = rewardLen
    for i = 1, net.reward[0] do
		local itemID = cf.reward[i][1]
        local itemCnt = cf.reward[i][2]
        Grid.makeItem(net.reward[i], itemID, itemCnt)
    end    
end
